{% extends '../base.html' %}
{% load leaflet_tags %}
{% leaflet_js plugins="ALL" %}


{% block content %}
    <link rel="stylesheet" type="text/css"
          href="https://cdn.datatables.net/v/bs/dt-1.10.20/af-2.3.4/b-1.6.1/b-colvis-1.6.1/b-flash-1.6.1/r-2.2.3/rg-1.1.1/datatables.min.css"/>

    <script type="text/javascript"
            src="https://cdn.datatables.net/v/bs/dt-1.10.20/af-2.3.4/b-1.6.1/b-colvis-1.6.1/b-flash-1.6.1/r-2.2.3/rg-1.1.1/datatables.min.js"></script>

    <h1><i class="fa fa-fw fa-search"></i> Rechercher une localité</h1>

    <form method="get" action="">
        {{ form.as_p }}
        <input class="button" type="submit" value="Rechercher">

        {% if query %}
            <h3>Results</h3>
            <table id="place_result" class="hover responsive">
                <thead>
                <tr>
                    <th>n°</th>
                    <th>Nom</th>
                    <th>Commune</th>
                    <th>Date de création</th>
                    <th>Créateur</th>
                    <th>Sessions</th>
                </tr>
                </thead>
                {% for result in page.object_list %}

                    <tbody>
                    <th>{{ forloop.counter }}</th>
                    <th><a href="{{ result.object.get_absolute_url }}">{{ result.object.name }}</th>
                    <th>{{ result.object.municipality }}</th>
                    <th>{{ result.object.timestamp_create }}</th>
                    <th>{{ result.object.created_by }}</th>
                    <th>{{ result.object.session_set.all.count }}</th>
                    </tbody>

                {% empty %}
                    <p>No results found.</p>
                {% endfor %}
            </table>
            {% if page.has_previous or page.has_next %}
                <div>
                    {% if page.has_previous %}
                        <a href="?q={{ query }}&amp;page={{ page.previous_page_number }}">{% endif %}&laquo;
                    Previous{% if page.has_previous %}</a>{% endif %}
                    |
                    {% if page.has_next %}<a href="?q={{ query }}&amp;page={{ page.next_page_number }}">{% endif %}
                    Next &raquo;{% if page.has_next %}</a>{% endif %}
                </div>
            {% endif %}
        {% else %}
            {# Show some example queries to run, maybe query syntax, something else? #}
        {% endif %}
    </form>

    <script>
        $(document).ready(function () {
            $('#place_result').DataTable();
        });
    </script>
{% endblock %}